Loading...
Searching...
No Matches
BALL::GAFFCESParser Class Reference

`#include <BALL/MOLMEC/AMBER/GAFFCESParser.h>`

## Classes

class | APSMatcher
struct | State
class | CESPredicate
class | CESelementConnectionPredicate
class | CESelementPredicate
class | CESwildcardsPredicate
class | CESwildcardsConnectionPredicate
class | TruePredicate

## Public Member Functions

bool | match (Atom &atom) const
void | initElementSymbols ()
const std::set< String > & | getElementSymbols ()
| GAFFCESParser ()
| GAFFCESParser (const String &cesstring)
| ~GAFFCESParser ()
Size | read (char *buf, Size max_size)
bool | parse (const String &cesstring)
bool | GAFFCESatomMatcher (Atom &atom, const String &cesstring)
void | startChildPredicates ()
void | endChildPredicates ()

## Public Attributes

TruePredicate | root
| The root atom has no CESPredicate to test, so it's considered always true.
CESPredicate * | root_predicate
CESPredicate * | current_root_predicate
CESPredicate * | current_predicate

## Static Public Attributes

static State | state

## Protected Attributes

String | cesstring_
std::set< String > | element_symbols_
Position | read_start_

## Detailed Description

Definition at line 22 of file GAFFCESParser.h.

## Constructor & Destructor Documentation

## GAFFCESParser() [1/2]

BALL::GAFFCESParser::GAFFCESParser | ( |  | ) |

## GAFFCESParser() [2/2]

BALL::GAFFCESParser::GAFFCESParser | ( | const String & | cesstring | ) |

## ~GAFFCESParser()

BALL::GAFFCESParser::~GAFFCESParser | ( |  | ) |

## Member Function Documentation

## endChildPredicates()

void BALL::GAFFCESParser::endChildPredicates | ( |  | ) |

## GAFFCESatomMatcher()

bool BALL::GAFFCESParser::GAFFCESatomMatcher | ( | Atom & | atom,
|  | const String & | cesstring )

## getElementSymbols()

const std::set< String > & BALL::GAFFCESParser::getElementSymbols | ( |  | ) |

## initElementSymbols()

void BALL::GAFFCESParser::initElementSymbols | ( |  | ) |

## match()

bool BALL::GAFFCESParser::match | ( | Atom & | atom | ) | const

## parse()

bool BALL::GAFFCESParser::parse | ( | const String & | cesstring | ) |

## read()

Size BALL::GAFFCESParser::read | ( | char * | buf,
|  | Size | max_size )

## startChildPredicates()

void BALL::GAFFCESParser::startChildPredicates | ( |  | ) |

## Member Data Documentation

## cesstring_

String BALL::GAFFCESParser::cesstring_

protected

Definition at line 324 of file GAFFCESParser.h.

## current_predicate

CESPredicate* BALL::GAFFCESParser::current_predicate

Definition at line 310 of file GAFFCESParser.h.

## current_root_predicate

CESPredicate* BALL::GAFFCESParser::current_root_predicate

Definition at line 308 of file GAFFCESParser.h.

## element_symbols_

std::set<String> BALL::GAFFCESParser::element_symbols_

protected

Definition at line 326 of file GAFFCESParser.h.

## read_start_

Position BALL::GAFFCESParser::read_start_

protected

Definition at line 328 of file GAFFCESParser.h.

## root

TruePredicate BALL::GAFFCESParser::root

The root atom has no CESPredicate to test, so it's considered always true.

Definition at line 304 of file GAFFCESParser.h.

## root_predicate

CESPredicate* BALL::GAFFCESParser::root_predicate

Definition at line 306 of file GAFFCESParser.h.

## state

State BALL::GAFFCESParser::state

static

Definition at line 301 of file GAFFCESParser.h.